import { EventEmitter, OnInit } from '@angular/core';
import { ButtonMetadata } from '../../../types';
import { MOTION, Step, WizardMetadata } from '../types';
import * as i0 from "@angular/core";
export declare class WizardFooterComponent implements OnInit {
    props: WizardMetadata;
    onClick: EventEmitter<{
        current: number;
        motion: MOTION;
    }>;
    wrapperId: string;
    ngOnInit(): void;
    clickHandler(token?: string): void;
    get Current(): Step;
    get Progress(): number;
    get actions(): ButtonMetadata[];
    tryToStep(motion: MOTION): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WizardFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WizardFooterComponent, "val-wizard-footer", never, { "props": { "alias": "props"; "required": false; }; }, { "onClick": "onClick"; }, never, never, true, never>;
}
